---

- name: "Test is machine is reachable on SSH port via {{ ip }}"
  wait_for:
    host: "{{ ip }}"
    port: 22
    timeout: 3
  delegate_to: "{{ jump_host }}"
  ignore_errors: True
  check_mode: no
  register: ip_test

- name: "Define {{ ip }} as working provisioning IP"
  set_fact:
    prov_iface_ip: "{{ ip }}"
  when: not ip_test.failed

